STRMOVE(3pub)

NAME
strmove - make a copy of a string, handling overlapping strings

SYNOPSIS
#include <publib.h>
char *strmove(char *tgt, const char *src);

DESCRIPTION
strmove copies the string src to tgt, just like strcpy(3), but handles overlapping moves correctly (cf. memcpy(3) vs. memmove(3)).

RETURN VALUE
strmove returns tgt.

SEE ALSO
publib(3), strcpy(3), memcpy(3), memmove(3)

AUTHOR
Lars Wirzenius (lars.wirzenius@helsinki.fi)